> For the complete documentation index, see [llms.txt](https://docs.redivis.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.redivis.com/api/client-libraries/redivis-python/reference/table/table.to_directory.md).

# Table.to\_directory

### Table.<mark style="color:purple;">to\_directory</mark>(*\*, file\_id\_variable, file\_name\_variable*) → [Directory](/api/client-libraries/redivis-python/reference/directory.md)

Construct a new virtual directory that can be used to efficiently read and work with files within a file index table.&#x20;

{% hint style="info" %}
Also callable on [Queries](/api/client-libraries/redivis-python/reference/query.md) →  `query.to_directory(...)`&#x20;
{% endhint %}

### **Parameters:**

**`file_id_variable` :&#x20;*****str, optional***\
The name of the variable in the table containing file ids. Only required if the table contains more than one fileId variable.

**`file_name_variable` :&#x20;*****str, optional***\
The name of the variable in the table containing the file name. If unspecified, will look for a variable `file_name` within the current table, or otherwise will use the file's original name.

### **Returns:**&#x20;

[**Directory**](/api/client-libraries/redivis-python/reference/directory.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/client-libraries/redivis-python/reference/table/table.to_directory.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
